Uploaded image for project: 'XWiki Platform'
  1. XWiki Platform
  2. XWIKI-9433

When upgrading a (sub)wiki, the platform should not always install xwiki-enterprise-ui-wiki

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 5.2-milestone-2
    • Fix Version/s: 5.2-rc-1
    • Component/s: {Unused} Workspaces
    • Labels:
      None
    • Difficulty:
      Unknown
    • Documentation:
      N/A
    • Documentation in Release Notes:
      N/A
    • Similar issues:

      Description

      Currently, when you migrate a (sub)wiki, the platform is not able to know which XAR it should install.

      Actually, you should install:

      • xwiki-enterprise-ui-common if you are upgrading a standard subwiki.
      • xwiki-enterprise-ui-wiki if you are upgrading a workspace
        But the platform will propose you xwiki-enterprise-ui-wiki in every case.

      The idea is to create new module that the Distribution Wizard ask to know which XAR it should install.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                gdelhumeau Guillaume Delhumeau
                Reporter:
                gdelhumeau Guillaume Delhumeau
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Date of First Response: